<?php
namespace Claromentis\Core\DocumentConverter;

$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("_ba3845cb79c005cf3269a" . "f8c83ddbe5e" => base64_decode("ZXJyb3I" . "="), "_b0e753deb9741c6e9b3d17cac47b" . "5dc5" => base64_decode("Tm8gYXZhaWxhYmxlIERvY3VtZW50IENv" . "bnZlcnRlcnMgdG8gdXNlLg=="), "_2351a63ea5f1aa92" . "6b0753b192e8d841" => base64_decode("RmFpbGVkIHRvIGNvbnZlcn" . "Qg"), "_a7a98b53d82ba82123bc40474" . "84cd742" => base64_decode("Y29tbW9uLmRvY3VtZW50X2NvbnZlcnRlci5ub19jb" . "252ZXJ0ZXJz"), "_77317902a2c903eaeed66f6a36" . "6de08b" => base64_decode("ZXhjZXB0aW9uX21lc3Nh" . "Z2U="), "_31767d7ad58e706dbf47b7" . "a51a0fe6c4" => base64_decode("Y2" . "91" . "bn" . "Q="), "_20b3ce3ff928713aae2421713e60" . "898a" => base64_decode("YWRtaW4uZG9jdW1lbnRfY29udmVydGVy" . "LmVycm9yLmNvdWxkX25vdF9jb25uZWN0"), "_b8323c396da910cd2da11d4d0" . "985e9c5" => base64_decode("aXNf" . "cnVu" . "bmlu" . "Zw=="), "_6dc023075e7b7a10fcc37e2d1" . "b691033" => base64_decode("IHRvI" . "A=="), "_0c5123aa744" . "f69bbc0e8b3e" . "a2f6e847d" => base64_decode("bG1zZ" . "w=="), "_5e905cea585" . "6ef40d35ea1e" . "daf185d1b" => base64_decode("IHV" . "zaW" . "5nI" . "A=="), "_946c6fe" . "2025cf68" . "2630afe8" . "f8cdf586" . "1" => base64_decode("Y29tbW9uLmRvY3" . "VtZW50X2NvbnZl" . "cnRlci51bmtub3" . "duX2Vycm9y"));
use Claromentis\Core\DocumentConverter\Converters\DocumentConverterInterface;
use Claromentis\Core\DocumentConverter\Exceptions\DocumentConverterException;
use Exception;
use Psr\Log\LoggerInterface;
use Psr\Log\NullLogger;
use Webmozart\Assert\Assert;









class DocumentConverterService
{
    
    
    
    
    
    
    private $document_converters;
    
    
    
    
    
    
    private LoggerInterface $logger;
    
    
    
    
    
    
    
    public function __construct(array $_c347105b86cd04864c78a4febd95a6f0, ?LoggerInterface $logger)
    {
        foreach ($_c347105b86cd04864c78a4febd95a6f0 as $document_converter) {
            Assert::isInstanceOf($document_converter, DocumentConverterInterface::class);
        }
        $this->document_converters = $_c347105b86cd04864c78a4febd95a6f0;
        $this->logger = $logger ?? new NullLogger();
        if (empty($this->document_converters)) {
            $this->logger->warning($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_b0e753deb9741c6e9b3d1" . "7cac47b5dc5"]);
        }
    }
    
    
    
    
    
    
    
    
    
    
    
    public function Convert($_6d9f48827153c22baa0cc670b103158e, $_86a17589580c81964d306ebe003a445c, $_d1625ea25fb8b4afdb15b0570f6ab860)
    {
        foreach ($this->document_converters as $_02ad4799244951c2d809ee37be9e79fd => $document_converter) {
            try {
                $document_converter->Convert($_6d9f48827153c22baa0cc670b103158e, $_86a17589580c81964d306ebe003a445c, $_d1625ea25fb8b4afdb15b0570f6ab860);
                return;
            } catch (Exception $_fe441aa3ef350bfb1a1a1ad8520dd530) {
                
                
                if ($_02ad4799244951c2d809ee37be9e79fd === $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_31767d7ad58e706dbf47" . "b7a51a0fe6c4"]($this->document_converters) - 1) {
                    if ($_fe441aa3ef350bfb1a1a1ad8520dd530 instanceof DocumentConverterException) {
                        throw new Exception($_fe441aa3ef350bfb1a1a1ad8520dd530->getMessage());
                    } else {
                        throw new Exception($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_0c5123aa744f69bbc" . "0e8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_946c6fe2025cf682" . "630afe8f8cdf5861"]));
                    }
                }
                $this->logger->error($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_2351a63ea5f1aa926b" . "0753b192e8d841"] . $_6d9f48827153c22baa0cc670b103158e . $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_6dc023075e" . "7b7a10fcc37" . "e2d1b691033"] . $_d1625ea25fb8b4afdb15b0570f6ab860 . $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_5e905cea5856" . "ef40d35ea1eda" . "f185d1b"] . $document_converter->GetName(), [$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_77317902a2c903eaee" . "d66f6a366de08b"] => $_fe441aa3ef350bfb1a1a1ad8520dd530->getMessage()]);
            }
        }
        throw new Exception($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_0c5123aa744f69bbc0e" . "8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_a7a98b53d82" . "ba82123bc404" . "7484cd742"]));
    }
    
    
    
    
    
    
    public function GetStatus()
    {
        $_2a85611c78080ebe98afdb51c3d4ea92 = [];
        foreach ($this->document_converters as $document_converter) {
            $_b8323c396da910cd2da11d4d0985e9c5 = $document_converter->IsRunning();
            $_2a85611c78080ebe98afdb51c3d4ea92[$document_converter->GetName()] = [$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_b8323c396da910cd2da11d4d09" . "85e9c5"] => $_b8323c396da910cd2da11d4d0985e9c5];
            if (!$_b8323c396da910cd2da11d4d0985e9c5) {
                $_2a85611c78080ebe98afdb51c3d4ea92[$document_converter->GetName()][$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_ba3845cb79c005cf3269" . "af8c83ddbe5e"]] = $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_0c5123aa744f69bbc0e8b" . "3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_20b3ce3" . "ff928713" . "aae24217" . "13e60898" . "a"], $document_converter->GetHost(), $document_converter->GetPort());
            }
        }
        return $_2a85611c78080ebe98afdb51c3d4ea92;
    }
    
    
    
    
    
    
    public function IsRunning()
    {
        foreach ($this->document_converters as $document_converter) {
            if ($document_converter->IsRunning()) {
                return true;
            }
        }
        return false;
    }
}